Scilab Function
Last update : 00/00/0000

sprand - matrice creuse aléatoire

### Calling Sequence

  `sp=sprand(nrows,ncols,fill [,typ])`

### Parameters

- `nrows` : entier (nombre de lignes)
- `ncols` : entier (nombre de colonnes)
- `fill` : coefficient de remplissage (densité)
- `typ` : chaîne de caractères (`'uniform'` (par défaut) ou `'normal'`)
- `sp` : matrice creuse

### Description

`sp=sprand(nrows,ncols,fill)` renvoie une matrice creuse `sp` avec `nrows` lignes, `ncols` colonnes et approximativement `fill*nrows*ncols` termes non-nuls.

Si `typ='uniform'` les termes non nuls suivent une loi uniforme sur [0,1]. Si `typ='normal'` les termes non nuls suivent une loi normale centrée réduite.

### Examples

    W=sprand(100,1000,0.001);

### See Also

`sparse`, `full`, `rand`, `speye`,